Bug 806478 - help tips can not be disabled via li.hello
help tips can not be disabled via li.hello
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.0
Assigned To: Bryan Kearney
SAM QE List
:
Depends On:
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-03-23 17:50 EDT by Eric Sammons
Modified: 2012-08-22 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-headpin-all-0.1.144-1.el6.noarch
Last Closed: 2012-08-22 12:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-03-23 17:50:59 EDT
Description of problem:
When attempting to disable helptips via the li.hello link the save button does not become active nor does it appear any javascript executes that would preserve the setting.

Version-Release number of selected component (if applicable):
katello-headpin-all-0.1.144-1.el6.noarch

How reproducible:
Everytime

Steps to Reproduce:
1.Login to SAM
2.Navigate to profile page via the li.hello in the top right corner.
3.click on the help tips checkbox to remove the default check.
  
Actual results:
The SAVE button does not become active.
Navigate away from the page and back and note that the help tips are still enabled.

Expected results:
Save button should activate to save new preferences.
Comment 1 Eric Sammons 2012-03-23 17:53:45 EDT
Based on test automation the process here should be;

1. login to sam
2. navigate to profile via li.hello
3. uncheck the help tips box
4. jnotify successful message is returned (Green Dialog is presented stating change is successful.)
Comment 4 Eric Sammons 2012-03-29 14:47:22 EDT
Behavior here has changed.

Now the following error is received.
---
Invalid parameters sent in the request for this operation. Please contact a system administrator. Click here for more details.                                                          
---

When you "click here" you can get additional detail.

---
Wrong/Invalid parameters sent for users/update.
 Wrong Parameters: 
[{"user"=>["helptips_enabled"]}]
 Parameters Received:
 {"user"=>{"helptips_enabled"=>"0"}, "id"=>"1", "action"=>"update", "controller"=>"users"} 
---
Comment 5 Partha Aji 2012-03-29 14:55:28 EDT
Should be fixed in Katello as of -> http://git.fedorahosted.org/git/?p=katello.git;a=commit;h=697993e4f64a53dc8ceeb95890a9e70278464337
Comment 6 Eric Sammons 2012-08-22 12:49:00 EDT
VERIFIED

katello-headpin-all-0.2.13-1.el6_2.noarch

Note You need to log in before you can comment on or make changes to this bug.